| Disk ARchive 2.7.12 Full featured and portable backup and archiving tool

Classes | Namespaces | Functions
user_interaction5.hpp File Reference
API5

API v5 backward compatible class user_interaction. More...

`#include "../my_config.h"`
`#include <string>`
`#include <memory>`
`#include "user_interaction.hpp"`
`#include "secu_string.hpp"`

Go to the source code of this file.

## Classes
class | libdar5::user_interaction
| This is a pure virtual class that is used by libdar when interaction with the user is required. More...

## Namespaces
namespace | libdar5
| libdar5 namespace encapsulate all libdar symbols

## Functions
std::shared_ptr< user_interaction > | libdar5::user_interaction5_clone_to_shared_ptr (user_interaction &dialog)
| convert a user_interaction to a shared_pointer on a clone of that user_interaction

## Detailed Description

API v5 backward compatible class user_interaction.

Definition in file user_interaction5.hpp.